import { DIFF, ROLL_TYPE_ATTAQUE } from "./roll-constants.mjs"
import { RollType } from "./roll-type.mjs"

export class RollTypeAttaque extends RollType {
  get code() { return ROLL_TYPE_ATTAQUE }
  get name() { return `Attaquer` }

  title(rollData) { return `attaque` }

  isOpposed(rollData) { return rollData.opponent != undefined  }

  onSelect(rollData) {
    this.setDiffType(rollData, DIFF.ATTAQUE)
  }

}